<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';
$response = $api->PayIns->Get($payinId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayIn = {
Id: '156279887',
}
const viewPayIn = async (payinId) => {
return await mangopay.PayIns.get(payinId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewPayIn(myPayIn.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewPayIn(payinId)
begin
response = MangoPay::PayIn.fetch(payinId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch PayIn: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '156279887'
}
viewPayIn(myPayIn[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.PayIn;
public class ViewPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
PayIn payin = mangopay.getPayInApi().get("your-payin-id");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(payin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import PayIn
payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'
try:
view_payin = PayIn.get(payin_id)
pprint(view_payin._data)
except PayIn.DoesNotExist:
print('PayIn {} does not exist.'.format(payin_id))
using MangoPay.SDK;
using MangoPay.SDK.Entities.PUT;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewPayIn = await api.PayIns.GetDirectDebitAsync("payin_m_01J3D2NPHD12DRGSVP330QPZMH");
string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "payin_m_01J9C36G3DYBNZEHVZ5HC7WB5D",
"CreationDate": 1728056606,
"AuthorId": "user_m_01J8SY95DQ5CM7DH43NQCAS65T",
"CreditedUserId": "user_m_01J8SY95DQ5CM7DH43NQCAS65T",
"Status":"CREATED",
"ExecutionDate": null,
"ChargeDate": null,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "wlt_m_01J6EN9X1Q0PGM0CJ9QD197CRG",
"DebitedWalletId": null,
"CreditedFunds": {
"Currency": "EUR",
"Amount": 1188
},
"DebitedFunds": {
"Currency": "EUR",
"Amount": 1200
},
"Fees": {
"Currency": "EUR",
"Amount": 12
},
"ResultCode": null,
"ResultMessage": null,
"PaymentType": "DIRECT_DEBIT",
"ExecutionType": "DIRECT",
"Tag": "Created using Mangopay API Postman Collection",
"MandateId": "mdt_m_01J999B9HSEDH9CZDEXXYZGHEZ",
"StatementDescriptor": "Example123"
}
Direct debits
View a PayIn (Direct Debit)
GET
/
v2.01
/
{ClientId}
/
payins
/
{PayInId}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';
$response = $api->PayIns->Get($payinId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayIn = {
Id: '156279887',
}
const viewPayIn = async (payinId) => {
return await mangopay.PayIns.get(payinId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewPayIn(myPayIn.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewPayIn(payinId)
begin
response = MangoPay::PayIn.fetch(payinId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch PayIn: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '156279887'
}
viewPayIn(myPayIn[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.PayIn;
public class ViewPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
PayIn payin = mangopay.getPayInApi().get("your-payin-id");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(payin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import PayIn
payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'
try:
view_payin = PayIn.get(payin_id)
pprint(view_payin._data)
except PayIn.DoesNotExist:
print('PayIn {} does not exist.'.format(payin_id))
using MangoPay.SDK;
using MangoPay.SDK.Entities.PUT;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewPayIn = await api.PayIns.GetDirectDebitAsync("payin_m_01J3D2NPHD12DRGSVP330QPZMH");
string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "payin_m_01J9C36G3DYBNZEHVZ5HC7WB5D",
"CreationDate": 1728056606,
"AuthorId": "user_m_01J8SY95DQ5CM7DH43NQCAS65T",
"CreditedUserId": "user_m_01J8SY95DQ5CM7DH43NQCAS65T",
"Status":"CREATED",
"ExecutionDate": null,
"ChargeDate": null,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "wlt_m_01J6EN9X1Q0PGM0CJ9QD197CRG",
"DebitedWalletId": null,
"CreditedFunds": {
"Currency": "EUR",
"Amount": 1188
},
"DebitedFunds": {
"Currency": "EUR",
"Amount": 1200
},
"Fees": {
"Currency": "EUR",
"Amount": 12
},
"ResultCode": null,
"ResultMessage": null,
"PaymentType": "DIRECT_DEBIT",
"ExecutionType": "DIRECT",
"Tag": "Created using Mangopay API Postman Collection",
"MandateId": "mdt_m_01J999B9HSEDH9CZDEXXYZGHEZ",
"StatementDescriptor": "Example123"
}
Path parameters
string
required
The unique identifier of the pay-in.
Responses
200
200
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.Unix timestamp
The date used to notify the user of the future charge, set at midnight (00:00) on the given day. The user’s account is usually debited the following day, but it depends on their bank. For more information on direct debit processing times, see the direct debit guide.
string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
The unique identifier of the debited wallet.In the case of a pay-in, this value is always
null since there is no debited wallet.object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the debited funds.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the debited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
string
Returned values:
CARD, DIRECT_DEBIT, PREAUTHORIZED, BANK_WIREThe type of pay-in.string
Returned values:
WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.string
Max. length: 255 charactersCustom data that you can add to this object.
string
The unique identifier of the mandate.
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
{
"Id": "payin_m_01J9C36G3DYBNZEHVZ5HC7WB5D",
"CreationDate": 1728056606,
"AuthorId": "user_m_01J8SY95DQ5CM7DH43NQCAS65T",
"CreditedUserId": "user_m_01J8SY95DQ5CM7DH43NQCAS65T",
"Status":"CREATED",
"ExecutionDate": null,
"ChargeDate": null,
"Type": "PAYIN",
"Nature": "REGULAR",
"CreditedWalletId": "wlt_m_01J6EN9X1Q0PGM0CJ9QD197CRG",
"DebitedWalletId": null,
"CreditedFunds": {
"Currency": "EUR",
"Amount": 1188
},
"DebitedFunds": {
"Currency": "EUR",
"Amount": 1200
},
"Fees": {
"Currency": "EUR",
"Amount": 12
},
"ResultCode": null,
"ResultMessage": null,
"PaymentType": "DIRECT_DEBIT",
"ExecutionType": "DIRECT",
"Tag": "Created using Mangopay API Postman Collection",
"MandateId": "mdt_m_01J999B9HSEDH9CZDEXXYZGHEZ",
"StatementDescriptor": "Example123"
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';
$response = $api->PayIns->Get($payinId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myPayIn = {
Id: '156279887',
}
const viewPayIn = async (payinId) => {
return await mangopay.PayIns.get(payinId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewPayIn(myPayIn.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewPayIn(payinId)
begin
response = MangoPay::PayIn.fetch(payinId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch PayIn: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myPayIn = {
Id: '156279887'
}
viewPayIn(myPayIn[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.PayIn;
public class ViewPayIn {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
PayIn payin = mangopay.getPayInApi().get("your-payin-id");
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(payin);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import PayIn
payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'
try:
view_payin = PayIn.get(payin_id)
pprint(view_payin._data)
except PayIn.DoesNotExist:
print('PayIn {} does not exist.'.format(payin_id))
using MangoPay.SDK;
using MangoPay.SDK.Entities.PUT;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var viewPayIn = await api.PayIns.GetDirectDebitAsync("payin_m_01J3D2NPHD12DRGSVP330QPZMH");
string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?